# pyRCV2

pyRCV2 is an application for counting various preferential voting elections.

pyRCV2 may be used in a number of different ways:

* as an online web application, no installation or special software required, at <https://yingtongli.me/rcv/>
* as a standalone Python command line application
* as a library within another Python application

## Features

pyRCV2 accepts data in the [BLT file format](http://www.dia.govt.nz/diawebsite.NSF/Files/meekm/%24file/meekm.pdf), and can count votes using:

* weighted inclusive Gregory STV (e.g. [Scottish STV](https://www.opavote.com/methods/scottish-stv-rules))
* unweighted inclusive Gregory STV
* [Wright STV](https://www.aph.gov.au/Parliamentary_Business/Committees/House_of_Representatives_Committees?url=em/elect07/subs/sub051.1.pdf)

pyRCV2 is highly customisable, including options for:

* different quotas and quota rules (e.g. exact Droop, Hare) or progressively reducing quota
* calculations using fixed-point arithmetic or exact rational numbers
* different tie breaking rules (backwards, random, manual) with auditable deterministic random number generation
* extensible API for other counting methods
